Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
qm_adc_xfer_t Struct Reference
Quark D2000 ADC

ADC transfer type. More...

`#include <qm_adc.h>`

## Data Fields
qm_adc_channel_t * | ch
| Channel sequence array (1-32 channels). More...
uint8_t | ch_len
| Number of channels in the above array. More...
qm_adc_sample_t * | samples
| Array to store samples. More...
uint32_t | samples_len
| Length of sample array. More...
void(* | callback )(void *data, int error, qm_adc_status_t status, qm_adc_cb_source_t source)
| Transfer callback. More...
void * | callback_data
| Callback user data. More...

## Detailed Description

ADC transfer type.

Definition at line 107 of file qm_adc.h.

## Field Documentation

void(* qm_adc_xfer_t::callback)(void *data, int error, qm_adc_status_t status, qm_adc_cb_source_t source)

Transfer callback.

Called when a conversion is performed or an error is detected.

Parameters

  [in] | data | The callback user data.
  [in] | error | 0 on success. Negative errno for possible error codes.
  [in] | status | ADC status.
  [in] | source | Interrupt callback source.

Definition at line 124 of file qm_adc.h.

void* qm_adc_xfer_t::callback_data

Callback user data.

Definition at line 126 of file qm_adc.h.

qm_adc_channel_t* qm_adc_xfer_t::ch

Channel sequence array (1-32 channels).

Definition at line 108 of file qm_adc.h.

Referenced by qm_adc_convert(), and qm_adc_irq_convert().

uint8_t qm_adc_xfer_t::ch_len

Number of channels in the above array.

Definition at line 109 of file qm_adc.h.

Referenced by qm_adc_convert(), and qm_adc_irq_convert().

qm_adc_sample_t* qm_adc_xfer_t::samples

Array to store samples.

Definition at line 110 of file qm_adc.h.

Referenced by qm_adc_convert(), and qm_adc_irq_convert().

uint32_t qm_adc_xfer_t::samples_len

Length of sample array.

Definition at line 111 of file qm_adc.h.

Referenced by qm_adc_convert(), and qm_adc_irq_convert().